Create a generic type-indexed node cache
Closed, ResolvedPublic8 Story Points

Description

Currently we have a few of these:

The are used for getting lists of categories and reference contents. Some of the code in these could be de-duplicated and there are other potential uses of a type-indexed cache, such as listing all images in a document for showing in a gallery creation dialog.

Esanders created this task.May 22 2016, 5:04 PM
Restricted Application added subscribers: Zppix, Aklapper. · View Herald TranscriptMay 22 2016, 5:04 PM
Jdforrester-WMF triaged this task as Normal priority.May 24 2016, 5:25 PM
Jdforrester-WMF updated the task description. (Show Details)
Jdforrester-WMF set the point value for this task to 8.

Change 295349 had a related patch set uploaded (by Esanders):
Add a node-type index

https://gerrit.wikimedia.org/r/295349

Change 295349 merged by jenkins-bot:
Add a node-type index

https://gerrit.wikimedia.org/r/295349

Jdforrester-WMF closed this task as Resolved.Jul 17 2017, 4:20 PM
Jdforrester-WMF added a subscriber: Jdforrester-WMF.

This should have been marked as fixed back last year.

Restricted Application added a project: User-Ryasmeen. · View Herald TranscriptJul 17 2017, 4:20 PM